WSResource (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer

## Class WSResource

- java.lang.Object
- - org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl
  - - org.gcube.common.core.state.GCUBEStatefulResource<org.gcube.common.core.state.GCUBEWSResourceKey>
    - - org.gcube.common.core.state.GCUBEWSResource
      - - org.gcube.messaging.common.consumer.WSResource

- All Implemented Interfaces:
    org.gcube.common.core.utils.handlers.GCUBEServiceClient, org.globus.wsrf.PersistenceCallback, org.globus.wsrf.Resource, org.globus.wsrf.ResourceLifetime, org.globus.wsrf.ResourceProperties, org.globus.wsrf.TopicListAccessor

      public class WSResource
      extends org.gcube.common.core.state.GCUBEWSResource

  Author:
    Andrea Manzi (CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.state.GCUBEStatefulResource

      `org.gcube.common.core.state.GCUBEStatefulResource.LOCK, org.gcube.common.core.state.GCUBEStatefulResource.TaskContext`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.common.core.state.GCUBEStatefulResource

      `logger, uuidGen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSResource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initialise(Object... arg0)`

    - ### Methods inherited from class org.gcube.common.core.state.GCUBEWSResource

      `getCurrentTime, getEPR, getPorttypeContext, getProperty, getPropertyNames, getPublisher, getResourcePropertySet, getServiceContext, getTerminationTime, getTopicList, getTopicNames, initialise, initialiseContainers, inScope, load, publish, setPortTypeContext, setTerminationTime, unpublish`

    - ### Methods inherited from class org.gcube.common.core.state.GCUBEStatefulResource

      `getID, getLock, getScheduledTasks, getScope, launchTask, onRemove, setID, setPersistenceDelegate, stopTask, store`

    - ### Methods inherited from class org.gcube.common.core.utils.handlers.GCUBEServiceClientImpl

      `getPortTypeMap, setPortTypeMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.globus.wsrf.PersistenceCallback

      `store`

- - ### Constructor Detail

    - #### WSResource

          public WSResource()

  - ### Method Detail

    - #### initialise

          protected void initialise(Object... arg0)
                             throws org.globus.wsrf.ResourceException

      Specified by:
        `initialise` in class `org.gcube.common.core.state.GCUBEWSResource`
      Throws:
        `org.globus.wsrf.ResourceException`

Copyright © 2014. All Rights Reserved.